<?php

namespace Dpd\Services;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'generateProtocolV1' => '\\Dpd\\Services\\StructType\\GenerateProtocolV1',
            'dpdServicesParamsV1' => '\\Dpd\\Services\\StructType\\DpdServicesParamsV1',
            'pickupAddressDSPV1' => '\\Dpd\\Services\\StructType\\PickupAddressDSPV1',
            'sessionDSPV1' => '\\Dpd\\Services\\StructType\\SessionDSPV1',
            'packageDSPV1' => '\\Dpd\\Services\\StructType\\PackageDSPV1',
            'parcelDSPV1' => '\\Dpd\\Services\\StructType\\ParcelDSPV1',
            'authDataV1' => '\\Dpd\\Services\\StructType\\AuthDataV1',
            'generateProtocolV1Response' => '\\Dpd\\Services\\StructType\\GenerateProtocolV1Response',
            'documentGenerationResponseV1' => '\\Dpd\\Services\\StructType\\DocumentGenerationResponseV1',
            'sessionDGRV1' => '\\Dpd\\Services\\StructType\\SessionDGRV1',
            'packageDGRV1' => '\\Dpd\\Services\\StructType\\PackageDGRV1',
            'parcelDGRV1' => '\\Dpd\\Services\\StructType\\ParcelDGRV1',
            'statusInfoDGRV1' => '\\Dpd\\Services\\StructType\\StatusInfoDGRV1',
            'generateProtocolV2' => '\\Dpd\\Services\\StructType\\GenerateProtocolV2',
            'generateProtocolV2Response' => '\\Dpd\\Services\\StructType\\GenerateProtocolV2Response',
            'generateShipmentV1' => '\\Dpd\\Services\\StructType\\GenerateShipmentV1',
            'openUMLFeV10' => '\\Dpd\\Services\\StructType\\OpenUMLFeV10',
            'packageOpenUMLFeV10' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV10',
            'parcelOpenUMLFeV4' => '\\Dpd\\Services\\StructType\\ParcelOpenUMLFeV4',
            'packageAddressOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\PackageAddressOpenUMLFeV1',
            'servicesOpenUMLFeV9' => '\\Dpd\\Services\\StructType\\ServicesOpenUMLFeV9',
            'serviceCarryInOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceCarryInOpenUMLFeV1',
            'serviceCODOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceCODOpenUMLFeV1',
            'serviceCODDedicatedAccountOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceCODDedicatedAccountOpenUMLFeV1',
            'serviceCUDOpenUMLeFV1' => '\\Dpd\\Services\\StructType\\ServiceCUDOpenUMLeFV1',
            'serviceDeclaredValueOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceDeclaredValueOpenUMLFeV1',
            'serviceDedicatedDeliveryOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceDedicatedDeliveryOpenUMLFeV1',
            'serviceDigitalLabelUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceDigitalLabelUMLFeV1',
            'serviceFlagOpenUMLF' => '\\Dpd\\Services\\StructType\\ServiceFlagOpenUMLF',
            'servicePalletOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServicePalletOpenUMLFeV1',
            'serviceDPDFoodOpenUMLFeV2' => '\\Dpd\\Services\\StructType\\ServiceDPDFoodOpenUMLFeV2',
            'serviceDPDLqOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceDPDLqOpenUMLFeV1',
            'serviceDpdPickupOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceDpdPickupOpenUMLFeV1',
            'serviceDutyOpenUMLeFV2' => '\\Dpd\\Services\\StructType\\ServiceDutyOpenUMLeFV2',
            'serviceGuaranteeOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceGuaranteeOpenUMLFeV1',
            'serviceInPersOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceInPersOpenUMLFeV1',
            'servicePrivPersOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServicePrivPersOpenUMLFeV1',
            'serviceRODOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceRODOpenUMLFeV1',
            'serviceSelfColOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceSelfColOpenUMLFeV1',
            'serviceTiresOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceTiresOpenUMLFeV1',
            'serviceTiresExportOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceTiresExportOpenUMLFeV1',
            'generateShipmentV1Response' => '\\Dpd\\Services\\StructType\\GenerateShipmentV1Response',
            'shipmentDocumentGenerationResponseV1' => '\\Dpd\\Services\\StructType\\ShipmentDocumentGenerationResponseV1',
            'shipmentDocumentGenerationSessionV1' => '\\Dpd\\Services\\StructType\\ShipmentDocumentGenerationSessionV1',
            'shipmentDocumentGenerationStatusInfoV1' => '\\Dpd\\Services\\StructType\\ShipmentDocumentGenerationStatusInfoV1',
            'generateShipmentV2' => '\\Dpd\\Services\\StructType\\GenerateShipmentV2',
            'openUMLFeV12' => '\\Dpd\\Services\\StructType\\OpenUMLFeV12',
            'packageOpenUMLFeV12' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV12',
            'servicesOpenUMLFeV11' => '\\Dpd\\Services\\StructType\\ServicesOpenUMLFeV11',
            'servicePudoToSendUMLFeV1' => '\\Dpd\\Services\\StructType\\ServicePudoToSendUMLFeV1',
            'objectXMLParser' => '\\Dpd\\Services\\StructType\\ObjectXMLParser',
            'generateShipmentV2Response' => '\\Dpd\\Services\\StructType\\GenerateShipmentV2Response',
            'generateDomesticReturnLabelV1' => '\\Dpd\\Services\\StructType\\GenerateDomesticReturnLabelV1',
            'returnedWaybillsV1' => '\\Dpd\\Services\\StructType\\ReturnedWaybillsV1',
            'pudoReturnReceiver' => '\\Dpd\\Services\\StructType\\PudoReturnReceiver',
            'generateDomesticReturnLabelV1Response' => '\\Dpd\\Services\\StructType\\GenerateDomesticReturnLabelV1Response',
            'generateSpedLabelsV1' => '\\Dpd\\Services\\StructType\\GenerateSpedLabelsV1',
            'generateSpedLabelsV1Response' => '\\Dpd\\Services\\StructType\\GenerateSpedLabelsV1Response',
            'generateSpedLabelsV4' => '\\Dpd\\Services\\StructType\\GenerateSpedLabelsV4',
            'generateSpedLabelsV4Response' => '\\Dpd\\Services\\StructType\\GenerateSpedLabelsV4Response',
            'generateSpedLabelsV3' => '\\Dpd\\Services\\StructType\\GenerateSpedLabelsV3',
            'generateSpedLabelsV3Response' => '\\Dpd\\Services\\StructType\\GenerateSpedLabelsV3Response',
            'generateReturnPackages' => '\\Dpd\\Services\\StructType\\GenerateReturnPackages',
            'openUMLFeV7' => '\\Dpd\\Services\\StructType\\OpenUMLFeV7',
            'packageOpenUMLFeV7' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV7',
            'parcelOpenUMLFeV2' => '\\Dpd\\Services\\StructType\\ParcelOpenUMLFeV2',
            'servicesOpenUMLFeV6' => '\\Dpd\\Services\\StructType\\ServicesOpenUMLFeV6',
            'serviceDPDFoodOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceDPDFoodOpenUMLFeV1',
            'generateReturnPackagesResponse' => '\\Dpd\\Services\\StructType\\GenerateReturnPackagesResponse',
            'packagesGenerationResponseV2' => '\\Dpd\\Services\\StructType\\PackagesGenerationResponseV2',
            'sessionPGRV2' => '\\Dpd\\Services\\StructType\\SessionPGRV2',
            'Packages' => '\\Dpd\\Services\\StructType\\Packages',
            'packagePGRV2' => '\\Dpd\\Services\\StructType\\PackagePGRV2',
            'ValidationDetails' => '\\Dpd\\Services\\StructType\\ValidationDetails',
            'Parcels' => '\\Dpd\\Services\\StructType\\Parcels',
            'validationInfoPGRV2' => '\\Dpd\\Services\\StructType\\ValidationInfoPGRV2',
            'parcelPGRV2' => '\\Dpd\\Services\\StructType\\ParcelPGRV2',
            'generateSpedLabelsV2' => '\\Dpd\\Services\\StructType\\GenerateSpedLabelsV2',
            'generateSpedLabelsV2Response' => '\\Dpd\\Services\\StructType\\GenerateSpedLabelsV2Response',
            'generatePackagesNumbersV6' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV6',
            'openUMLFeV5' => '\\Dpd\\Services\\StructType\\OpenUMLFeV5',
            'packageOpenUMLFeV5' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV5',
            'parcelOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\ParcelOpenUMLFeV1',
            'generatePackagesNumbersV6Response' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV6Response',
            'generatePackagesNumbersV7' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV7',
            'openUMLFeV8' => '\\Dpd\\Services\\StructType\\OpenUMLFeV8',
            'packageOpenUMLFeV8' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV8',
            'parcelOpenUMLFeV3' => '\\Dpd\\Services\\StructType\\ParcelOpenUMLFeV3',
            'servicesOpenUMLFeV8' => '\\Dpd\\Services\\StructType\\ServicesOpenUMLFeV8',
            'generatePackagesNumbersV7Response' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV7Response',
            'generatePackagesNumbersV8' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV8',
            'openUMLFeV9' => '\\Dpd\\Services\\StructType\\OpenUMLFeV9',
            'packageOpenUMLFeV9' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV9',
            'generatePackagesNumbersV8Response' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV8Response',
            'generatePackagesNumbersV9' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV9',
            'openUMLFeV11' => '\\Dpd\\Services\\StructType\\OpenUMLFeV11',
            'packageOpenUMLFeV11' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV11',
            'generatePackagesNumbersV9Response' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV9Response',
            'findPostalCodeV1' => '\\Dpd\\Services\\StructType\\FindPostalCodeV1',
            'postalCodeV1' => '\\Dpd\\Services\\StructType\\PostalCodeV1',
            'findPostalCodeV1Response' => '\\Dpd\\Services\\StructType\\FindPostalCodeV1Response',
            'findPostalCodeResponseV1' => '\\Dpd\\Services\\StructType\\FindPostalCodeResponseV1',
            'generateInternationalPackageNumbersV1' => '\\Dpd\\Services\\StructType\\GenerateInternationalPackageNumbersV1',
            'internationalOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\InternationalOpenUMLFeV1',
            'internationalPackageOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\InternationalPackageOpenUMLFeV1',
            'internationalParcelOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\InternationalParcelOpenUMLFeV1',
            'internationalServicesOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\InternationalServicesOpenUMLFeV1',
            'serviceDPDPudoReturnUMLFeV1' => '\\Dpd\\Services\\StructType\\ServiceDPDPudoReturnUMLFeV1',
            'generateInternationalPackageNumbersV1Response' => '\\Dpd\\Services\\StructType\\GenerateInternationalPackageNumbersV1Response',
            'generatePackagesNumbersV1' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV1',
            'openUMLFeV1' => '\\Dpd\\Services\\StructType\\OpenUMLFeV1',
            'packageOpenUMLFeV1' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV1',
            'servicesOpenUMLFeV2' => '\\Dpd\\Services\\StructType\\ServicesOpenUMLFeV2',
            'serviceDutyOpenUMLeFV1' => '\\Dpd\\Services\\StructType\\ServiceDutyOpenUMLeFV1',
            'generatePackagesNumbersV1Response' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV1Response',
            'packagesGenerationResponseV1' => '\\Dpd\\Services\\StructType\\PackagesGenerationResponseV1',
            'sessionPGRV1' => '\\Dpd\\Services\\StructType\\SessionPGRV1',
            'packagePGRV1' => '\\Dpd\\Services\\StructType\\PackagePGRV1',
            'invalidFieldPGRV1' => '\\Dpd\\Services\\StructType\\InvalidFieldPGRV1',
            'parcelPGRV1' => '\\Dpd\\Services\\StructType\\ParcelPGRV1',
            'generatePackagesNumbersV2' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV2',
            'generatePackagesNumbersV2Response' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV2Response',
            'generatePackagesNumbersV3' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV3',
            'openUMLFeV2' => '\\Dpd\\Services\\StructType\\OpenUMLFeV2',
            'packageOpenUMLFeV2' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV2',
            'servicesOpenUMLFeV3' => '\\Dpd\\Services\\StructType\\ServicesOpenUMLFeV3',
            'generatePackagesNumbersV3Response' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV3Response',
            'generatePackagesNumbersV4' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV4',
            'openUMLFeV3' => '\\Dpd\\Services\\StructType\\OpenUMLFeV3',
            'packageOpenUMLFeV3' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV3',
            'servicesOpenUMLFeV4' => '\\Dpd\\Services\\StructType\\ServicesOpenUMLFeV4',
            'generatePackagesNumbersV4Response' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV4Response',
            'generatePackagesNumbersV5' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV5',
            'openUMLFeV4' => '\\Dpd\\Services\\StructType\\OpenUMLFeV4',
            'packageOpenUMLFeV4' => '\\Dpd\\Services\\StructType\\PackageOpenUMLFeV4',
            'servicesOpenUMLFeV5' => '\\Dpd\\Services\\StructType\\ServicesOpenUMLFeV5',
            'generatePackagesNumbersV5Response' => '\\Dpd\\Services\\StructType\\GeneratePackagesNumbersV5Response',
            'packagesPickupCallV3' => '\\Dpd\\Services\\StructType\\PackagesPickupCallV3',
            'dpdPickupCallParamsV3' => '\\Dpd\\Services\\StructType\\DpdPickupCallParamsV3',
            'pickupCallSimplifiedDetailsDPPV1' => '\\Dpd\\Services\\StructType\\PickupCallSimplifiedDetailsDPPV1',
            'pickupPackagesParamsDPPV1' => '\\Dpd\\Services\\StructType\\PickupPackagesParamsDPPV1',
            'pickupCustomerDPPV1' => '\\Dpd\\Services\\StructType\\PickupCustomerDPPV1',
            'pickupPayerDPPV1' => '\\Dpd\\Services\\StructType\\PickupPayerDPPV1',
            'pickupSenderDPPV1' => '\\Dpd\\Services\\StructType\\PickupSenderDPPV1',
            'packagesPickupCallV3Response' => '\\Dpd\\Services\\StructType\\PackagesPickupCallV3Response',
            'packagesPickupCallResponseV3' => '\\Dpd\\Services\\StructType\\PackagesPickupCallResponseV3',
            'statusInfoPCRV2' => '\\Dpd\\Services\\StructType\\StatusInfoPCRV2',
            'errorDetailsPCRV2' => '\\Dpd\\Services\\StructType\\ErrorDetailsPCRV2',
            'packagesPickupCallV4' => '\\Dpd\\Services\\StructType\\PackagesPickupCallV4',
            'packagesPickupCallV4Response' => '\\Dpd\\Services\\StructType\\PackagesPickupCallV4Response',
            'packagesPickupCallV1' => '\\Dpd\\Services\\StructType\\PackagesPickupCallV1',
            'dpdPickupCallParamsV1' => '\\Dpd\\Services\\StructType\\DpdPickupCallParamsV1',
            'contactInfoDPPV1' => '\\Dpd\\Services\\StructType\\ContactInfoDPPV1',
            'protocolDPPV1' => '\\Dpd\\Services\\StructType\\ProtocolDPPV1',
            'packagesPickupCallV1Response' => '\\Dpd\\Services\\StructType\\PackagesPickupCallV1Response',
            'packagesPickupCallResponseV1' => '\\Dpd\\Services\\StructType\\PackagesPickupCallResponseV1',
            'protocolPCRV1' => '\\Dpd\\Services\\StructType\\ProtocolPCRV1',
            'statusInfoPCRV1' => '\\Dpd\\Services\\StructType\\StatusInfoPCRV1',
            'packagesPickupCallV2' => '\\Dpd\\Services\\StructType\\PackagesPickupCallV2',
            'dpdPickupCallParamsV2' => '\\Dpd\\Services\\StructType\\DpdPickupCallParamsV2',
            'packagesPickupCallV2Response' => '\\Dpd\\Services\\StructType\\PackagesPickupCallV2Response',
            'packagesPickupCallResponseV2' => '\\Dpd\\Services\\StructType\\PackagesPickupCallResponseV2',
            'appendParcelsToPackageV1' => '\\Dpd\\Services\\StructType\\AppendParcelsToPackageV1',
            'parcelsAppendV1' => '\\Dpd\\Services\\StructType\\ParcelsAppendV1',
            'parcelsAppendSearchCriteriaPAV1' => '\\Dpd\\Services\\StructType\\ParcelsAppendSearchCriteriaPAV1',
            'parcelAppendPAV1' => '\\Dpd\\Services\\StructType\\ParcelAppendPAV1',
            'appendParcelsToPackageV1Response' => '\\Dpd\\Services\\StructType\\AppendParcelsToPackageV1Response',
            'parcelsAppendResponseV1' => '\\Dpd\\Services\\StructType\\ParcelsAppendResponseV1',
            'invalidFieldPAV1' => '\\Dpd\\Services\\StructType\\InvalidFieldPAV1',
            'parcelsAppendParcelPAV1' => '\\Dpd\\Services\\StructType\\ParcelsAppendParcelPAV1',
            'generateReturnLabelV1' => '\\Dpd\\Services\\StructType\\GenerateReturnLabelV1',
            'generateReturnLabelV1Response' => '\\Dpd\\Services\\StructType\\GenerateReturnLabelV1Response',
            'getCourierOrderAvailabilityV1' => '\\Dpd\\Services\\StructType\\GetCourierOrderAvailabilityV1',
            'senderPlaceV1' => '\\Dpd\\Services\\StructType\\SenderPlaceV1',
            'getCourierOrderAvailabilityV1Response' => '\\Dpd\\Services\\StructType\\GetCourierOrderAvailabilityV1Response',
            'getCourierOrderAvailabilityResponseV1' => '\\Dpd\\Services\\StructType\\GetCourierOrderAvailabilityResponseV1',
            'courierOrderAvailabilityRangeV1' => '\\Dpd\\Services\\StructType\\CourierOrderAvailabilityRangeV1',
            'appendParcelsToPackageV2' => '\\Dpd\\Services\\StructType\\AppendParcelsToPackageV2',
            'parcelsAppendV2' => '\\Dpd\\Services\\StructType\\ParcelsAppendV2',
            'parcelAppendPAV2' => '\\Dpd\\Services\\StructType\\ParcelAppendPAV2',
            'appendParcelsToPackageV2Response' => '\\Dpd\\Services\\StructType\\AppendParcelsToPackageV2Response',
            'generateProtocolsWithDestinationsV1' => '\\Dpd\\Services\\StructType\\GenerateProtocolsWithDestinationsV1',
            'dpdServicesParamsV2' => '\\Dpd\\Services\\StructType\\DpdServicesParamsV2',
            'DeliveryDestinations' => '\\Dpd\\Services\\StructType\\DeliveryDestinations',
            'sessionDSPV2' => '\\Dpd\\Services\\StructType\\SessionDSPV2',
            'packageDSPV2' => '\\Dpd\\Services\\StructType\\PackageDSPV2',
            'parcelDSPV2' => '\\Dpd\\Services\\StructType\\ParcelDSPV2',
            'pickupAddressDSPV2' => '\\Dpd\\Services\\StructType\\PickupAddressDSPV2',
            'deliveryDestination' => '\\Dpd\\Services\\StructType\\DeliveryDestination',
            'DepotList' => '\\Dpd\\Services\\StructType\\DepotList',
            'protocolDepot' => '\\Dpd\\Services\\StructType\\ProtocolDepot',
            'generateProtocolsWithDestinationsV1Response' => '\\Dpd\\Services\\StructType\\GenerateProtocolsWithDestinationsV1Response',
            'documentGenerationResponseV2' => '\\Dpd\\Services\\StructType\\DocumentGenerationResponseV2',
            'DestinationDataList' => '\\Dpd\\Services\\StructType\\DestinationDataList',
            'destinationsData' => '\\Dpd\\Services\\StructType\\DestinationsData',
            'nonMatchingData' => '\\Dpd\\Services\\StructType\\NonMatchingData',
            'sessionDGRV2' => '\\Dpd\\Services\\StructType\\SessionDGRV2',
            'packageDGRV2' => '\\Dpd\\Services\\StructType\\PackageDGRV2',
            'parcelDGRV2' => '\\Dpd\\Services\\StructType\\ParcelDGRV2',
            'statusInfoDGRV2' => '\\Dpd\\Services\\StructType\\StatusInfoDGRV2',
            'generateProtocolsWithDestinationsV2' => '\\Dpd\\Services\\StructType\\GenerateProtocolsWithDestinationsV2',
            'generateProtocolsWithDestinationsV2Response' => '\\Dpd\\Services\\StructType\\GenerateProtocolsWithDestinationsV2Response',
            'importDeliveryBusinessEventV1' => '\\Dpd\\Services\\StructType\\ImportDeliveryBusinessEventV1',
            'dpdParcelBusinessEventV1' => '\\Dpd\\Services\\StructType\\DpdParcelBusinessEventV1',
            'dpdParcelBusinessEventDataV1' => '\\Dpd\\Services\\StructType\\DpdParcelBusinessEventDataV1',
            'importDeliveryBusinessEventV1Response' => '\\Dpd\\Services\\StructType\\ImportDeliveryBusinessEventV1Response',
            'importDeliveryBusinessEventResponseV1' => '\\Dpd\\Services\\StructType\\ImportDeliveryBusinessEventResponseV1',
            'DPDServiceException' => '\\Dpd\\Services\\StructType\\DPDServiceException',
            'Exception' => '\\Dpd\\Services\\StructType\\Exception',
            'DeniedAccessWSException' => '\\Dpd\\Services\\StructType\\DeniedAccessWSException',
            'SchemaValidationException' => '\\Dpd\\Services\\StructType\\SchemaValidationException',
        );
    }
}
