<?php

namespace Dpd\Services\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DepotList StructType
 * @subpackage Structs
 */
class DepotList extends AbstractStructBase
{
    /**
     * The ProtocolDepot
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Dpd\Services\StructType\ProtocolDepot[]
     */
    public $ProtocolDepot;
    /**
     * Constructor method for DepotList
     * @uses DepotList::setProtocolDepot()
     * @param \Dpd\Services\StructType\ProtocolDepot[] $protocolDepot
     */
    public function __construct(array $protocolDepot = array())
    {
        $this
            ->setProtocolDepot($protocolDepot);
    }
    /**
     * Get ProtocolDepot value
     * @return \Dpd\Services\StructType\ProtocolDepot[]|null
     */
    public function getProtocolDepot()
    {
        return $this->ProtocolDepot;
    }
    /**
     * Set ProtocolDepot value
     * @param \Dpd\Services\StructType\ProtocolDepot[] $protocolDepot
     * @return \Dpd\Services\StructType\DepotList
     */
    public function setProtocolDepot(array $protocolDepot = array())
    {
        $this->ProtocolDepot = $protocolDepot;
        return $this;
    }
    /**
     * Add item to ProtocolDepot value
     * @throws \InvalidArgumentException
     * @param \Dpd\Services\StructType\ProtocolDepot $item
     * @return \Dpd\Services\StructType\DepotList
     */
    public function addToProtocolDepot(\Dpd\Services\StructType\ProtocolDepot $item)
    {
        $this->ProtocolDepot[] = $item;
        return $this;
    }
}
