<?php

namespace Dpd\Services\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dpdServicesParamsV1 StructType
 * @subpackage Structs
 */
class DpdServicesParamsV1 extends AbstractStructBase
{
    /**
     * The documentId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $documentId;
    /**
     * The pickupAddress
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Dpd\Services\StructType\PickupAddressDSPV1
     */
    public $pickupAddress;
    /**
     * The policy
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $policy;
    /**
     * The session
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Dpd\Services\StructType\SessionDSPV1
     */
    public $session;
    /**
     * Constructor method for dpdServicesParamsV1
     * @uses DpdServicesParamsV1::setDocumentId()
     * @uses DpdServicesParamsV1::setPickupAddress()
     * @uses DpdServicesParamsV1::setPolicy()
     * @uses DpdServicesParamsV1::setSession()
     * @param string $documentId
     * @param \Dpd\Services\StructType\PickupAddressDSPV1 $pickupAddress
     * @param string $policy
     * @param \Dpd\Services\StructType\SessionDSPV1 $session
     */
    public function __construct($documentId = null, \Dpd\Services\StructType\PickupAddressDSPV1 $pickupAddress = null, $policy = null, \Dpd\Services\StructType\SessionDSPV1 $session = null)
    {
        $this
            ->setDocumentId($documentId)
            ->setPickupAddress($pickupAddress)
            ->setPolicy($policy)
            ->setSession($session);
    }
    /**
     * Get documentId value
     * @return string|null
     */
    public function getDocumentId()
    {
        return $this->documentId;
    }
    /**
     * Set documentId value
     * @param string $documentId
     * @return \Dpd\Services\StructType\DpdServicesParamsV1
     */
    public function setDocumentId($documentId = null)
    {
        $this->documentId = $documentId;
        return $this;
    }
    /**
     * Get pickupAddress value
     * @return \Dpd\Services\StructType\PickupAddressDSPV1|null
     */
    public function getPickupAddress()
    {
        return $this->pickupAddress;
    }
    /**
     * Set pickupAddress value
     * @param \Dpd\Services\StructType\PickupAddressDSPV1 $pickupAddress
     * @return \Dpd\Services\StructType\DpdServicesParamsV1
     */
    public function setPickupAddress(\Dpd\Services\StructType\PickupAddressDSPV1 $pickupAddress = null)
    {
        $this->pickupAddress = $pickupAddress;
        return $this;
    }
    /**
     * Get policy value
     * @return string|null
     */
    public function getPolicy()
    {
        return $this->policy;
    }
    /**
     * Set policy value
     * @param string $policy
     * @return \Dpd\Services\StructType\DpdServicesParamsV1
     */
    public function setPolicy($policy = null)
    {
        $this->policy = $policy;
        return $this;
    }
    /**
     * Get session value
     * @return \Dpd\Services\StructType\SessionDSPV1|null
     */
    public function getSession()
    {
        return $this->session;
    }
    /**
     * Set session value
     * @param \Dpd\Services\StructType\SessionDSPV1 $session
     * @return \Dpd\Services\StructType\DpdServicesParamsV1
     */
    public function setSession(\Dpd\Services\StructType\SessionDSPV1 $session = null)
    {
        $this->session = $session;
        return $this;
    }
}
