<?php

namespace Dpd\Services\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dpdServicesParamsV2 StructType
 * @subpackage Structs
 */
class DpdServicesParamsV2 extends AbstractStructBase
{
    /**
     * The Policy
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Policy;
    /**
     * The Session
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Dpd\Services\StructType\SessionDSPV2
     */
    public $Session;
    /**
     * The PickupAddress
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Dpd\Services\StructType\PickupAddressDSPV2
     */
    public $PickupAddress;
    /**
     * The DeliveryDestinations
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Dpd\Services\StructType\DeliveryDestinations
     */
    public $DeliveryDestinations;
    /**
     * The GenProtForNonMatching
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $GenProtForNonMatching;
    /**
     * Constructor method for dpdServicesParamsV2
     * @uses DpdServicesParamsV2::setPolicy()
     * @uses DpdServicesParamsV2::setSession()
     * @uses DpdServicesParamsV2::setPickupAddress()
     * @uses DpdServicesParamsV2::setDeliveryDestinations()
     * @uses DpdServicesParamsV2::setGenProtForNonMatching()
     * @param string $policy
     * @param \Dpd\Services\StructType\SessionDSPV2 $session
     * @param \Dpd\Services\StructType\PickupAddressDSPV2 $pickupAddress
     * @param \Dpd\Services\StructType\DeliveryDestinations $deliveryDestinations
     * @param bool $genProtForNonMatching
     */
    public function __construct($policy = null, \Dpd\Services\StructType\SessionDSPV2 $session = null, \Dpd\Services\StructType\PickupAddressDSPV2 $pickupAddress = null, \Dpd\Services\StructType\DeliveryDestinations $deliveryDestinations = null, $genProtForNonMatching = null)
    {
        $this
            ->setPolicy($policy)
            ->setSession($session)
            ->setPickupAddress($pickupAddress)
            ->setDeliveryDestinations($deliveryDestinations)
            ->setGenProtForNonMatching($genProtForNonMatching);
    }
    /**
     * Get Policy value
     * @return string|null
     */
    public function getPolicy()
    {
        return $this->Policy;
    }
    /**
     * Set Policy value
     * @param string $policy
     * @return \Dpd\Services\StructType\DpdServicesParamsV2
     */
    public function setPolicy($policy = null)
    {
        $this->Policy = $policy;
        return $this;
    }
    /**
     * Get Session value
     * @return \Dpd\Services\StructType\SessionDSPV2|null
     */
    public function getSession()
    {
        return $this->Session;
    }
    /**
     * Set Session value
     * @param \Dpd\Services\StructType\SessionDSPV2 $session
     * @return \Dpd\Services\StructType\DpdServicesParamsV2
     */
    public function setSession(\Dpd\Services\StructType\SessionDSPV2 $session = null)
    {
        $this->Session = $session;
        return $this;
    }
    /**
     * Get PickupAddress value
     * @return \Dpd\Services\StructType\PickupAddressDSPV2|null
     */
    public function getPickupAddress()
    {
        return $this->PickupAddress;
    }
    /**
     * Set PickupAddress value
     * @param \Dpd\Services\StructType\PickupAddressDSPV2 $pickupAddress
     * @return \Dpd\Services\StructType\DpdServicesParamsV2
     */
    public function setPickupAddress(\Dpd\Services\StructType\PickupAddressDSPV2 $pickupAddress = null)
    {
        $this->PickupAddress = $pickupAddress;
        return $this;
    }
    /**
     * Get DeliveryDestinations value
     * @return \Dpd\Services\StructType\DeliveryDestinations|null
     */
    public function getDeliveryDestinations()
    {
        return $this->DeliveryDestinations;
    }
    /**
     * Set DeliveryDestinations value
     * @param \Dpd\Services\StructType\DeliveryDestinations $deliveryDestinations
     * @return \Dpd\Services\StructType\DpdServicesParamsV2
     */
    public function setDeliveryDestinations(\Dpd\Services\StructType\DeliveryDestinations $deliveryDestinations = null)
    {
        $this->DeliveryDestinations = $deliveryDestinations;
        return $this;
    }
    /**
     * Get GenProtForNonMatching value
     * @return bool|null
     */
    public function getGenProtForNonMatching()
    {
        return $this->GenProtForNonMatching;
    }
    /**
     * Set GenProtForNonMatching value
     * @param bool $genProtForNonMatching
     * @return \Dpd\Services\StructType\DpdServicesParamsV2
     */
    public function setGenProtForNonMatching($genProtForNonMatching = null)
    {
        $this->GenProtForNonMatching = $genProtForNonMatching;
        return $this;
    }
}
