<?php

namespace Dpd\Services\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for generateReturnLabelV1 StructType
 * Meta information extracted from the WSDL
 * - type: tns:generateReturnLabelV1
 * @subpackage Structs
 */
class GenerateReturnLabelV1 extends AbstractStructBase
{
    /**
     * The returnedWaybillsV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Dpd\Services\StructType\ReturnedWaybillsV1
     */
    public $returnedWaybillsV1;
    /**
     * The receiver
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Dpd\Services\StructType\PudoReturnReceiver
     */
    public $receiver;
    /**
     * The outputDocFormatV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $outputDocFormatV1;
    /**
     * The outputDocPageFormatV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $outputDocPageFormatV1;
    /**
     * The outputLabelType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $outputLabelType;
    /**
     * The labelVariant
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $labelVariant;
    /**
     * The authDataV1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Dpd\Services\StructType\AuthDataV1
     */
    public $authDataV1;
    /**
     * Constructor method for generateReturnLabelV1
     * @uses GenerateReturnLabelV1::setReturnedWaybillsV1()
     * @uses GenerateReturnLabelV1::setReceiver()
     * @uses GenerateReturnLabelV1::setOutputDocFormatV1()
     * @uses GenerateReturnLabelV1::setOutputDocPageFormatV1()
     * @uses GenerateReturnLabelV1::setOutputLabelType()
     * @uses GenerateReturnLabelV1::setLabelVariant()
     * @uses GenerateReturnLabelV1::setAuthDataV1()
     * @param \Dpd\Services\StructType\ReturnedWaybillsV1 $returnedWaybillsV1
     * @param \Dpd\Services\StructType\PudoReturnReceiver $receiver
     * @param string $outputDocFormatV1
     * @param string $outputDocPageFormatV1
     * @param string $outputLabelType
     * @param string $labelVariant
     * @param \Dpd\Services\StructType\AuthDataV1 $authDataV1
     */
    public function __construct(\Dpd\Services\StructType\ReturnedWaybillsV1 $returnedWaybillsV1 = null, \Dpd\Services\StructType\PudoReturnReceiver $receiver = null, $outputDocFormatV1 = null, $outputDocPageFormatV1 = null, $outputLabelType = null, $labelVariant = null, \Dpd\Services\StructType\AuthDataV1 $authDataV1 = null)
    {
        $this
            ->setReturnedWaybillsV1($returnedWaybillsV1)
            ->setReceiver($receiver)
            ->setOutputDocFormatV1($outputDocFormatV1)
            ->setOutputDocPageFormatV1($outputDocPageFormatV1)
            ->setOutputLabelType($outputLabelType)
            ->setLabelVariant($labelVariant)
            ->setAuthDataV1($authDataV1);
    }
    /**
     * Get returnedWaybillsV1 value
     * @return \Dpd\Services\StructType\ReturnedWaybillsV1|null
     */
    public function getReturnedWaybillsV1()
    {
        return $this->returnedWaybillsV1;
    }
    /**
     * Set returnedWaybillsV1 value
     * @param \Dpd\Services\StructType\ReturnedWaybillsV1 $returnedWaybillsV1
     * @return \Dpd\Services\StructType\GenerateReturnLabelV1
     */
    public function setReturnedWaybillsV1(\Dpd\Services\StructType\ReturnedWaybillsV1 $returnedWaybillsV1 = null)
    {
        $this->returnedWaybillsV1 = $returnedWaybillsV1;
        return $this;
    }
    /**
     * Get receiver value
     * @return \Dpd\Services\StructType\PudoReturnReceiver|null
     */
    public function getReceiver()
    {
        return $this->receiver;
    }
    /**
     * Set receiver value
     * @param \Dpd\Services\StructType\PudoReturnReceiver $receiver
     * @return \Dpd\Services\StructType\GenerateReturnLabelV1
     */
    public function setReceiver(\Dpd\Services\StructType\PudoReturnReceiver $receiver = null)
    {
        $this->receiver = $receiver;
        return $this;
    }
    /**
     * Get outputDocFormatV1 value
     * @return string|null
     */
    public function getOutputDocFormatV1()
    {
        return $this->outputDocFormatV1;
    }
    /**
     * Set outputDocFormatV1 value
     * @param string $outputDocFormatV1
     * @return \Dpd\Services\StructType\GenerateReturnLabelV1
     */
    public function setOutputDocFormatV1($outputDocFormatV1 = null)
    {
        $this->outputDocFormatV1 = $outputDocFormatV1;
        return $this;
    }
    /**
     * Get outputDocPageFormatV1 value
     * @return string|null
     */
    public function getOutputDocPageFormatV1()
    {
        return $this->outputDocPageFormatV1;
    }
    /**
     * Set outputDocPageFormatV1 value
     * @param string $outputDocPageFormatV1
     * @return \Dpd\Services\StructType\GenerateReturnLabelV1
     */
    public function setOutputDocPageFormatV1($outputDocPageFormatV1 = null)
    {
        $this->outputDocPageFormatV1 = $outputDocPageFormatV1;
        return $this;
    }
    /**
     * Get outputLabelType value
     * @return string|null
     */
    public function getOutputLabelType()
    {
        return $this->outputLabelType;
    }
    /**
     * Set outputLabelType value
     * @param string $outputLabelType
     * @return \Dpd\Services\StructType\GenerateReturnLabelV1
     */
    public function setOutputLabelType($outputLabelType = null)
    {
        $this->outputLabelType = $outputLabelType;
        return $this;
    }
    /**
     * Get labelVariant value
     * @return string|null
     */
    public function getLabelVariant()
    {
        return $this->labelVariant;
    }
    /**
     * Set labelVariant value
     * @param string $labelVariant
     * @return \Dpd\Services\StructType\GenerateReturnLabelV1
     */
    public function setLabelVariant($labelVariant = null)
    {
        $this->labelVariant = $labelVariant;
        return $this;
    }
    /**
     * Get authDataV1 value
     * @return \Dpd\Services\StructType\AuthDataV1|null
     */
    public function getAuthDataV1()
    {
        return $this->authDataV1;
    }
    /**
     * Set authDataV1 value
     * @param \Dpd\Services\StructType\AuthDataV1 $authDataV1
     * @return \Dpd\Services\StructType\GenerateReturnLabelV1
     */
    public function setAuthDataV1(\Dpd\Services\StructType\AuthDataV1 $authDataV1 = null)
    {
        $this->authDataV1 = $authDataV1;
        return $this;
    }
}
