<?php

namespace Dpd\Services\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getCourierOrderAvailabilityResponseV1 StructType
 * @subpackage Structs
 */
class GetCourierOrderAvailabilityResponseV1 extends AbstractStructBase
{
    /**
     * The ranges
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Dpd\Services\StructType\CourierOrderAvailabilityRangeV1[]
     */
    public $ranges;
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $status;
    /**
     * Constructor method for getCourierOrderAvailabilityResponseV1
     * @uses GetCourierOrderAvailabilityResponseV1::setRanges()
     * @uses GetCourierOrderAvailabilityResponseV1::setStatus()
     * @param \Dpd\Services\StructType\CourierOrderAvailabilityRangeV1[] $ranges
     * @param string $status
     */
    public function __construct(array $ranges = array(), $status = null)
    {
        $this
            ->setRanges($ranges)
            ->setStatus($status);
    }
    /**
     * Get ranges value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Dpd\Services\StructType\CourierOrderAvailabilityRangeV1[]|null
     */
    public function getRanges()
    {
        return isset($this->ranges) ? $this->ranges : null;
    }
    /**
     * Set ranges value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Dpd\Services\StructType\CourierOrderAvailabilityRangeV1[] $ranges
     * @return \Dpd\Services\StructType\GetCourierOrderAvailabilityResponseV1
     */
    public function setRanges(array $ranges = array())
    {
        if (is_null($ranges) || (is_array($ranges) && empty($ranges))) {
            unset($this->ranges);
        } else {
            $this->ranges = $ranges;
        }
        return $this;
    }
    /**
     * Add item to ranges value
     * @throws \InvalidArgumentException
     * @param \Dpd\Services\StructType\CourierOrderAvailabilityRangeV1 $item
     * @return \Dpd\Services\StructType\GetCourierOrderAvailabilityResponseV1
     */
    public function addToRanges(\Dpd\Services\StructType\CourierOrderAvailabilityRangeV1 $item)
    {
        $this->ranges[] = $item;
        return $this;
    }
    /**
     * Get status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param string $status
     * @return \Dpd\Services\StructType\GetCourierOrderAvailabilityResponseV1
     */
    public function setStatus($status = null)
    {
        $this->status = $status;
        return $this;
    }
}
