<?php

namespace Dpd\Services\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for packagePGRV1 StructType
 * @subpackage Structs
 */
class PackagePGRV1 extends AbstractStructBase
{
    /**
     * The invalidFields
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Dpd\Services\StructType\InvalidFieldPGRV1[]
     */
    public $invalidFields;
    /**
     * The packageId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $packageId;
    /**
     * The parcels
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Dpd\Services\StructType\ParcelPGRV1[]
     */
    public $parcels;
    /**
     * The reference
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $reference;
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $status;
    /**
     * Constructor method for packagePGRV1
     * @uses PackagePGRV1::setInvalidFields()
     * @uses PackagePGRV1::setPackageId()
     * @uses PackagePGRV1::setParcels()
     * @uses PackagePGRV1::setReference()
     * @uses PackagePGRV1::setStatus()
     * @param \Dpd\Services\StructType\InvalidFieldPGRV1[] $invalidFields
     * @param int $packageId
     * @param \Dpd\Services\StructType\ParcelPGRV1[] $parcels
     * @param string $reference
     * @param string $status
     */
    public function __construct(array $invalidFields = array(), $packageId = null, array $parcels = array(), $reference = null, $status = null)
    {
        $this
            ->setInvalidFields($invalidFields)
            ->setPackageId($packageId)
            ->setParcels($parcels)
            ->setReference($reference)
            ->setStatus($status);
    }
    /**
     * Get invalidFields value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Dpd\Services\StructType\InvalidFieldPGRV1[]|null
     */
    public function getInvalidFields()
    {
        return isset($this->invalidFields) ? $this->invalidFields : null;
    }
    /**
     * Set invalidFields value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Dpd\Services\StructType\InvalidFieldPGRV1[] $invalidFields
     * @return \Dpd\Services\StructType\PackagePGRV1
     */
    public function setInvalidFields(array $invalidFields = array())
    {
        if (is_null($invalidFields) || (is_array($invalidFields) && empty($invalidFields))) {
            unset($this->invalidFields);
        } else {
            $this->invalidFields = $invalidFields;
        }
        return $this;
    }
    /**
     * Add item to invalidFields value
     * @throws \InvalidArgumentException
     * @param \Dpd\Services\StructType\InvalidFieldPGRV1 $item
     * @return \Dpd\Services\StructType\PackagePGRV1
     */
    public function addToInvalidFields(\Dpd\Services\StructType\InvalidFieldPGRV1 $item)
    {
        $this->invalidFields[] = $item;
        return $this;
    }
    /**
     * Get packageId value
     * @return int|null
     */
    public function getPackageId()
    {
        return $this->packageId;
    }
    /**
     * Set packageId value
     * @param int $packageId
     * @return \Dpd\Services\StructType\PackagePGRV1
     */
    public function setPackageId($packageId = null)
    {
        $this->packageId = $packageId;
        return $this;
    }
    /**
     * Get parcels value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Dpd\Services\StructType\ParcelPGRV1[]|null
     */
    public function getParcels()
    {
        return isset($this->parcels) ? $this->parcels : null;
    }
    /**
     * Set parcels value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Dpd\Services\StructType\ParcelPGRV1[] $parcels
     * @return \Dpd\Services\StructType\PackagePGRV1
     */
    public function setParcels(array $parcels = array())
    {
        if (is_null($parcels) || (is_array($parcels) && empty($parcels))) {
            unset($this->parcels);
        } else {
            $this->parcels = $parcels;
        }
        return $this;
    }
    /**
     * Add item to parcels value
     * @throws \InvalidArgumentException
     * @param \Dpd\Services\StructType\ParcelPGRV1 $item
     * @return \Dpd\Services\StructType\PackagePGRV1
     */
    public function addToParcels(\Dpd\Services\StructType\ParcelPGRV1 $item)
    {
        $this->parcels[] = $item;
        return $this;
    }
    /**
     * Get reference value
     * @return string|null
     */
    public function getReference()
    {
        return $this->reference;
    }
    /**
     * Set reference value
     * @param string $reference
     * @return \Dpd\Services\StructType\PackagePGRV1
     */
    public function setReference($reference = null)
    {
        $this->reference = $reference;
        return $this;
    }
    /**
     * Get status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param string $status
     * @return \Dpd\Services\StructType\PackagePGRV1
     */
    public function setStatus($status = null)
    {
        $this->status = $status;
        return $this;
    }
}
