<?php

namespace Dpd\Services\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for parcelsAppendResponseV1 StructType
 * @subpackage Structs
 */
class ParcelsAppendResponseV1 extends AbstractStructBase
{
    /**
     * The invalidFields
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Dpd\Services\StructType\InvalidFieldPAV1[]
     */
    public $invalidFields;
    /**
     * The parcels
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Dpd\Services\StructType\ParcelsAppendParcelPAV1[]
     */
    public $parcels;
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $status;
    /**
     * Constructor method for parcelsAppendResponseV1
     * @uses ParcelsAppendResponseV1::setInvalidFields()
     * @uses ParcelsAppendResponseV1::setParcels()
     * @uses ParcelsAppendResponseV1::setStatus()
     * @param \Dpd\Services\StructType\InvalidFieldPAV1[] $invalidFields
     * @param \Dpd\Services\StructType\ParcelsAppendParcelPAV1[] $parcels
     * @param string $status
     */
    public function __construct(array $invalidFields = array(), array $parcels = array(), $status = null)
    {
        $this
            ->setInvalidFields($invalidFields)
            ->setParcels($parcels)
            ->setStatus($status);
    }
    /**
     * Get invalidFields value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Dpd\Services\StructType\InvalidFieldPAV1[]|null
     */
    public function getInvalidFields()
    {
        return isset($this->invalidFields) ? $this->invalidFields : null;
    }
    /**
     * Set invalidFields value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Dpd\Services\StructType\InvalidFieldPAV1[] $invalidFields
     * @return \Dpd\Services\StructType\ParcelsAppendResponseV1
     */
    public function setInvalidFields(array $invalidFields = array())
    {
        if (is_null($invalidFields) || (is_array($invalidFields) && empty($invalidFields))) {
            unset($this->invalidFields);
        } else {
            $this->invalidFields = $invalidFields;
        }
        return $this;
    }
    /**
     * Add item to invalidFields value
     * @throws \InvalidArgumentException
     * @param \Dpd\Services\StructType\InvalidFieldPAV1 $item
     * @return \Dpd\Services\StructType\ParcelsAppendResponseV1
     */
    public function addToInvalidFields(\Dpd\Services\StructType\InvalidFieldPAV1 $item)
    {
        $this->invalidFields[] = $item;
        return $this;
    }
    /**
     * Get parcels value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Dpd\Services\StructType\ParcelsAppendParcelPAV1[]|null
     */
    public function getParcels()
    {
        return isset($this->parcels) ? $this->parcels : null;
    }
    /**
     * Set parcels value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Dpd\Services\StructType\ParcelsAppendParcelPAV1[] $parcels
     * @return \Dpd\Services\StructType\ParcelsAppendResponseV1
     */
    public function setParcels(array $parcels = array())
    {
        if (is_null($parcels) || (is_array($parcels) && empty($parcels))) {
            unset($this->parcels);
        } else {
            $this->parcels = $parcels;
        }
        return $this;
    }
    /**
     * Add item to parcels value
     * @throws \InvalidArgumentException
     * @param \Dpd\Services\StructType\ParcelsAppendParcelPAV1 $item
     * @return \Dpd\Services\StructType\ParcelsAppendResponseV1
     */
    public function addToParcels(\Dpd\Services\StructType\ParcelsAppendParcelPAV1 $item)
    {
        $this->parcels[] = $item;
        return $this;
    }
    /**
     * Get status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param string $status
     * @return \Dpd\Services\StructType\ParcelsAppendResponseV1
     */
    public function setStatus($status = null)
    {
        $this->status = $status;
        return $this;
    }
}
