<?php

namespace Dpd\Services\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ValidationDetails StructType
 * @subpackage Structs
 */
class ValidationDetails extends AbstractStructBase
{
    /**
     * The ValidationInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Dpd\Services\StructType\ValidationInfoPGRV2[]
     */
    public $ValidationInfo;
    /**
     * Constructor method for ValidationDetails
     * @uses ValidationDetails::setValidationInfo()
     * @param \Dpd\Services\StructType\ValidationInfoPGRV2[] $validationInfo
     */
    public function __construct(array $validationInfo = array())
    {
        $this
            ->setValidationInfo($validationInfo);
    }
    /**
     * Get ValidationInfo value
     * @return \Dpd\Services\StructType\ValidationInfoPGRV2[]|null
     */
    public function getValidationInfo()
    {
        return $this->ValidationInfo;
    }
    /**
     * Set ValidationInfo value
     * @param \Dpd\Services\StructType\ValidationInfoPGRV2[] $validationInfo
     * @return \Dpd\Services\StructType\ValidationDetails
     */
    public function setValidationInfo(array $validationInfo = array())
    {
        $this->ValidationInfo = $validationInfo;
        return $this;
    }
    /**
     * Add item to ValidationInfo value
     * @throws \InvalidArgumentException
     * @param \Dpd\Services\StructType\ValidationInfoPGRV2 $item
     * @return \Dpd\Services\StructType\ValidationDetails
     */
    public function addToValidationInfo(\Dpd\Services\StructType\ValidationInfoPGRV2 $item)
    {
        $this->ValidationInfo[] = $item;
        return $this;
    }
}
